## AmtkShortcuts AmtkShortcuts — GtkShortcuts convenience functions |

## Functions

GtkShortcutsWindow * | amtk_shortcuts_window_new ()
GtkContainer * | amtk_shortcuts_section_new ()
GtkContainer * | amtk_shortcuts_group_new ()

## Includes

    #include <amtk/amtk.h>

## Description

Convenience functions to create a GtkShortcutsWindow. At the time of writing the GtkShortcuts* classes don't provide any function.

You need to also use `gtk_container_add()`, and `g_object_set()` to set other properties.

## Functions

### amtk_shortcuts_window_new ()

    GtkShortcutsWindow *
    amtk_shortcuts_window_new (GtkWindow *parent);

Creates a new GtkShortcutsWindow. The “modal” property is set to `TRUE`.

It is on purpose that the return type is GtkShortcutsWindow, not GtkWidget or something else, so in C when you declare the variable as GtkShortcutsWindow it's easier to find it later (searching "GtkShortcuts" will return something in your codebase).

#### Parameters

parent | the “transient-for”. |

#### Returns

a new GtkShortcutsWindow.

[transfer floating]

Since: 5.0

### amtk_shortcuts_section_new ()

    GtkContainer *
    amtk_shortcuts_section_new (const gchar *title);

#### Parameters

title | the “title”. |

#### Returns

a new GtkShortcutsSection.

[transfer floating]

Since: 5.0

### amtk_shortcuts_group_new ()

    GtkContainer *
    amtk_shortcuts_group_new (const gchar *title);

#### Parameters

title | the “title”. |

#### Returns

a new GtkShortcutsGroup.

[transfer floating]

Since: 5.0